<?php



$tdatatb_negociado = array();
$tdatatb_negociado[".searchableFields"] = array();
$tdatatb_negociado[".ShortName"] = "tb_negociado";
$tdatatb_negociado[".OwnerID"] = "";
$tdatatb_negociado[".OriginalTable"] = "tb_negociado";


$tdatatb_negociado[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_negociado[".originalPagesByType"] = $tdatatb_negociado[".pagesByType"];
$tdatatb_negociado[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_negociado[".originalPages"] = $tdatatb_negociado[".pages"];
$tdatatb_negociado[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_negociado[".originalDefaultPages"] = $tdatatb_negociado[".defaultPages"];

//	field labels
$fieldLabelstb_negociado = array();
$fieldToolTipstb_negociado = array();
$pageTitlestb_negociado = array();
$placeHolderstb_negociado = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_negociado["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_negociado["Portuguese(Brazil)"] = array();
	$placeHolderstb_negociado["Portuguese(Brazil)"] = array();
	$pageTitlestb_negociado["Portuguese(Brazil)"] = array();
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["negocioID"] = "Negocio ID";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["negocioID"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["negocioID"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["pdtoID"] = "Pdto ID";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["pdtoID"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["pdtoID"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["data"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["pv_minimo"] = "Pv Minimo";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["pv_minimo"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["pv_minimo"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["pv_negociado"] = "Pv Negociado";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["pv_negociado"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["pv_negociado"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["ped_minimo"] = "Ped Minimo";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["ped_minimo"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["ped_minimo"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["validade"] = "Validade";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["validade"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["validade"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["mciD"] = "Mci D";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["mciD"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["mciD"] = "";
	$fieldLabelstb_negociado["Portuguese(Brazil)"]["condicao"] = "Condicao";
	$fieldToolTipstb_negociado["Portuguese(Brazil)"]["condicao"] = "";
	$placeHolderstb_negociado["Portuguese(Brazil)"]["condicao"] = "";
	if (count($fieldToolTipstb_negociado["Portuguese(Brazil)"]))
		$tdatatb_negociado[".isUseToolTips"] = true;
}


	$tdatatb_negociado[".NCSearch"] = true;


	$tdatatb_negociado[".scrollGridBody"] = true;

$tdatatb_negociado[".shortTableName"] = "tb_negociado";
$tdatatb_negociado[".nSecOptions"] = 0;

$tdatatb_negociado[".mainTableOwnerID"] = "";
$tdatatb_negociado[".entityType"] = 0;

$tdatatb_negociado[".strOriginalTableName"] = "tb_negociado";

	



$tdatatb_negociado[".showAddInPopup"] = false;

$tdatatb_negociado[".showEditInPopup"] = false;

$tdatatb_negociado[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_negociado[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_negociado[".listAjax"] = false;
//	temporary
$tdatatb_negociado[".listAjax"] = false;

	$tdatatb_negociado[".audit"] = false;

	$tdatatb_negociado[".locking"] = false;


$pages = $tdatatb_negociado[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_negociado[".edit"] = true;
	$tdatatb_negociado[".afterEditAction"] = 0;
	$tdatatb_negociado[".closePopupAfterEdit"] = 1;
	$tdatatb_negociado[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_negociado[".add"] = true;
$tdatatb_negociado[".afterAddAction"] = 0;
$tdatatb_negociado[".closePopupAfterAdd"] = 1;
$tdatatb_negociado[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_negociado[".list"] = true;
}



$tdatatb_negociado[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_negociado[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_negociado[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_negociado[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_negociado[".printFriendly"] = true;
}



$tdatatb_negociado[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_negociado[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_negociado[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_negociado[".isUseAjaxSuggest"] = true;

$tdatatb_negociado[".rowHighlite"] = true;





$tdatatb_negociado[".ajaxCodeSnippetAdded"] = false;

$tdatatb_negociado[".buttonsAdded"] = false;

$tdatatb_negociado[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_negociado[".isUseTimeForSearch"] = false;


$tdatatb_negociado[".badgeColor"] = "e8926f";


$tdatatb_negociado[".allSearchFields"] = array();
$tdatatb_negociado[".filterFields"] = array();
$tdatatb_negociado[".requiredSearchFields"] = array();

$tdatatb_negociado[".googleLikeFields"] = array();
$tdatatb_negociado[".googleLikeFields"][] = "negocioID";
$tdatatb_negociado[".googleLikeFields"][] = "pdtoID";
$tdatatb_negociado[".googleLikeFields"][] = "data";
$tdatatb_negociado[".googleLikeFields"][] = "pv_minimo";
$tdatatb_negociado[".googleLikeFields"][] = "pv_negociado";
$tdatatb_negociado[".googleLikeFields"][] = "ped_minimo";
$tdatatb_negociado[".googleLikeFields"][] = "validade";
$tdatatb_negociado[".googleLikeFields"][] = "mciD";
$tdatatb_negociado[".googleLikeFields"][] = "condicao";



$tdatatb_negociado[".tableType"] = "list";

$tdatatb_negociado[".printerPageOrientation"] = 0;
$tdatatb_negociado[".nPrinterPageScale"] = 100;

$tdatatb_negociado[".nPrinterSplitRecords"] = 40;

$tdatatb_negociado[".geocodingEnabled"] = false;










$tdatatb_negociado[".pageSize"] = 20;

$tdatatb_negociado[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_negociado[".strOrderBy"] = $tstrOrderBy;

$tdatatb_negociado[".orderindexes"] = array();

$tdatatb_negociado[".sqlHead"] = "SELECT negocioID,  	pdtoID,  	`data`,  	pv_minimo,  	pv_negociado,  	ped_minimo,  	validade,  	mciD,  	condicao";
$tdatatb_negociado[".sqlFrom"] = "FROM tb_negociado";
$tdatatb_negociado[".sqlWhereExpr"] = "";
$tdatatb_negociado[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_negociado[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_negociado[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_negociado[".highlightSearchResults"] = true;

$tableKeystb_negociado = array();
$tableKeystb_negociado[] = "negocioID";
$tdatatb_negociado[".Keys"] = $tableKeystb_negociado;


$tdatatb_negociado[".hideMobileList"] = array();




//	negocioID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "negocioID";
	$fdata["GoodName"] = "negocioID";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","negocioID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "negocioID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "negocioID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["negocioID"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "negocioID";
//	pdtoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pdtoID";
	$fdata["GoodName"] = "pdtoID";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","pdtoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pdtoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdtoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["pdtoID"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "pdtoID";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["data"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "data";
//	pv_minimo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "pv_minimo";
	$fdata["GoodName"] = "pv_minimo";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","pv_minimo");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "pv_minimo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pv_minimo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["pv_minimo"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "pv_minimo";
//	pv_negociado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "pv_negociado";
	$fdata["GoodName"] = "pv_negociado";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","pv_negociado");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "pv_negociado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pv_negociado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["pv_negociado"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "pv_negociado";
//	ped_minimo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "ped_minimo";
	$fdata["GoodName"] = "ped_minimo";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","ped_minimo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ped_minimo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ped_minimo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "1 a 5";
	$edata["LookupValues"][] = "6 a 20";
	$edata["LookupValues"][] = "21 a 30";
	$edata["LookupValues"][] = "31 a 70";
	$edata["LookupValues"][] = "71 a 150";
	$edata["LookupValues"][] = "151 a 300";
	$edata["LookupValues"][] = "300+";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["ped_minimo"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "ped_minimo";
//	validade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "validade";
	$fdata["GoodName"] = "validade";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","validade");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "validade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "validade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["validade"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "validade";
//	mciD
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "mciD";
	$fdata["GoodName"] = "mciD";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","mciD");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "mciD";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mciD";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["mciD"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "mciD";
//	condicao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "condicao";
	$fdata["GoodName"] = "condicao";
	$fdata["ownerTable"] = "tb_negociado";
	$fdata["Label"] = GetFieldLabel("tb_negociado","condicao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "condicao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "condicao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_negociado["condicao"] = $fdata;
		$tdatatb_negociado[".searchableFields"][] = "condicao";


$tables_data["tb_negociado"]=&$tdatatb_negociado;
$field_labels["tb_negociado"] = &$fieldLabelstb_negociado;
$fieldToolTips["tb_negociado"] = &$fieldToolTipstb_negociado;
$placeHolders["tb_negociado"] = &$placeHolderstb_negociado;
$page_titles["tb_negociado"] = &$pageTitlestb_negociado;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_negociado"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_negociado"] = array();



	
				$strOriginalDetailsTable="tb_mcalculo";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_mcalculo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_mcalculo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_negociado"][0] = $masterParams;
				$masterTablesData["tb_negociado"][0]["masterKeys"] = array();
	$masterTablesData["tb_negociado"][0]["masterKeys"][]="mcalcID";
				$masterTablesData["tb_negociado"][0]["masterKeys"][]="pdtoID";
				$masterTablesData["tb_negociado"][0]["detailKeys"] = array();
	$masterTablesData["tb_negociado"][0]["detailKeys"][]="mciD";
				$masterTablesData["tb_negociado"][0]["detailKeys"][]="pdtoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_negociado()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "negocioID,  	pdtoID,  	`data`,  	pv_minimo,  	pv_negociado,  	ped_minimo,  	validade,  	mciD,  	condicao";
$proto0["m_strFrom"] = "FROM tb_negociado";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "negocioID",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto6["m_sql"] = "negocioID";
$proto6["m_srcTableName"] = "tb_negociado";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pdtoID",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto8["m_sql"] = "pdtoID";
$proto8["m_srcTableName"] = "tb_negociado";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto10["m_sql"] = "`data`";
$proto10["m_srcTableName"] = "tb_negociado";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "pv_minimo",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto12["m_sql"] = "pv_minimo";
$proto12["m_srcTableName"] = "tb_negociado";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "pv_negociado",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto14["m_sql"] = "pv_negociado";
$proto14["m_srcTableName"] = "tb_negociado";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "ped_minimo",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto16["m_sql"] = "ped_minimo";
$proto16["m_srcTableName"] = "tb_negociado";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "validade",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto18["m_sql"] = "validade";
$proto18["m_srcTableName"] = "tb_negociado";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "mciD",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto20["m_sql"] = "mciD";
$proto20["m_srcTableName"] = "tb_negociado";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "condicao",
	"m_strTable" => "tb_negociado",
	"m_srcTableName" => "tb_negociado"
));

$proto22["m_sql"] = "condicao";
$proto22["m_srcTableName"] = "tb_negociado";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "tb_negociado";
$proto25["m_srcTableName"] = "tb_negociado";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "negocioID";
$proto25["m_columns"][] = "pdtoID";
$proto25["m_columns"][] = "data";
$proto25["m_columns"][] = "pv_minimo";
$proto25["m_columns"][] = "pv_negociado";
$proto25["m_columns"][] = "ped_minimo";
$proto25["m_columns"][] = "validade";
$proto25["m_columns"][] = "mciD";
$proto25["m_columns"][] = "condicao";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "tb_negociado";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "tb_negociado";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_negociado";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_negociado = createSqlQuery_tb_negociado();


	
		;

									

$tdatatb_negociado[".sqlquery"] = $queryData_tb_negociado;

$tableEvents["tb_negociado"] = new eventsBase;
$tdatatb_negociado[".hasEvents"] = false;

?>